## org.opencyc.xml
Class GatherOpenDirectoryTitles.DamlTermInfo

    java.lang.Object
      |
      +--org.opencyc.xml.GatherOpenDirectoryTitles.DamlTermInfo

Enclosing class:
  GatherOpenDirectoryTitles

protected class GatherOpenDirectoryTitles.DamlTermInfo
extends java.lang.Object

Records the DAML term information for Cyc import.

Constructor Summary
`GatherOpenDirectoryTitles.DamlTermInfo(GatherOpenDirectoryTitles parent)` Constructs a new DamlTermInfo object.

Method Summary
`void` `coerceToNamespace()` Coerces a namespace:localname from the URI.
`boolean` `equals(java.lang.Object object)` Returns `true` some object equals this object
`boolean` `hasEquivalentCycTerm()` Returns true if this term has an equivalent existing Cyc term.
`java.lang.String` `literalValue()` Returns the literal value of this object.
`boolean` `mustBeUri(GatherOpenDirectoryTitles.DamlTermInfo predicateTermInfo)` Returns true if the uri does not represent an RDF object.
`java.lang.String` `toOriginalString()` Returns a non-substituted string representation of this object.
`java.lang.String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GatherOpenDirectoryTitles.DamlTermInfo

    public GatherOpenDirectoryTitles.DamlTermInfo(GatherOpenDirectoryTitles parent)

  Constructs a new DamlTermInfo object.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Returns `true` some object equals this object
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - the `Object` for equality comparison
  Returns:
    equals `boolean` value indicating equality or non-equality.

### toOriginalString

    public java.lang.String toOriginalString()

  Returns a non-substituted string representation of this object.
  Returns:
    a non-substituted string representation of this object

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object

### literalValue

    public java.lang.String literalValue()

  Returns the literal value of this object.
  Returns:
    the literal value of this object

### coerceToNamespace

    public void coerceToNamespace()

  Coerces a namespace:localname from the URI. For example, http://xmlns.com/foaf/0.1/Person --> http://xmlns.com/foaf/0.1#Person

### mustBeUri

    public boolean mustBeUri(GatherOpenDirectoryTitles.DamlTermInfo predicateTermInfo)

  Returns true if the uri does not represent an RDF object. Heuristic patterns are used.
  Parameters:
    `predicateTermInfo` - when present indicates that this is the object of the RDF triple
  Returns:
    true if the uri does not represent an RDF object

### hasEquivalentCycTerm

    public boolean hasEquivalentCycTerm()

  Returns true if this term has an equivalent existing Cyc term.
  Returns:
    true if this term has an equivalent existing Cyc term